/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      

      

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$('.center-wrapper').css("overflow","hidden");

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'slide_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6000, function(sym, e) {
         //CAMBIAR ESTA OPCIÓN A PLAY SI SE DESEA INICIAR LA ANIMACIÓN O SI ES IMAGEN FIJA PONERLA EN STOP 
         sym.stop();

      });
      //Edge binding end

      

      

      

      

      

      

      

      

      

      

      

      

      

   })("slide_1");
   //Edge symbol end:'slide_1'

   //=========================================================
   
   //Edge symbol: 'Hot_Spot'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.play();

      });
      //Edge binding end

   })("Hot_Spot");
   //Edge symbol end:'Hot_Spot'

   //=========================================================
   
   //Edge symbol: 'bg_defecto_simbolo'
   (function(symbolName) {   
   
   })("bg_defecto_simbolo");
   //Edge symbol end:'bg_defecto_simbolo'

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'maga'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 13000, function(sym, e) {
         // introducir código aquí
         sym.play("ini");

      });
      //Edge binding end

   })("maga");
   //Edge symbol end:'maga'

   //=========================================================
   
   //Edge symbol: 'c1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 5000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 8000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HS_a}", "click", function(sym, e) {
         sym.play("inicio");
         
         
         // Ocultar un elemento 
         sym.getComposition().getStage().getSymbol("slide_1").$("txt_inicial").hide();
         
         sym.getComposition().getStage().getSymbol("slide_1").$("txt_vidrio").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("txt_metal").show();
         sym.getComposition().getStage().getSymbol("slide_1").$("txt_plastico").hide();
         

      });
      //Edge binding end

   })("c1");
   //Edge symbol end:'c1'

   //=========================================================
   
   //Edge symbol: 'c2'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_HS_b}", "click", function(sym, e) {
         sym.play("inicio");
         
         
         // Ocultar un elemento 
         sym.getComposition().getStage().getSymbol("slide_1").$("txt_inicial").hide();
         
         sym.getComposition().getStage().getSymbol("slide_1").$("txt_vidrio").show();
         sym.getComposition().getStage().getSymbol("slide_1").$("txt_metal").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("txt_plastico").hide();
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 5500, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 10000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("c2");
   //Edge symbol end:'c2'

   //=========================================================
   
   //Edge symbol: 'c3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 12000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HS_c}", "click", function(sym, e) {
         sym.play("inicio");
         
         
         // Ocultar un elemento 
         sym.getComposition().getStage().getSymbol("slide_1").$("txt_inicial").hide();
         
         
         sym.getComposition().getStage().getSymbol("slide_1").$("txt_vidrio").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("txt_metal").hide();
         sym.getComposition().getStage().getSymbol("slide_1").$("txt_plastico").show();

      });
      //Edge binding end

   })("c3");
   //Edge symbol end:'c3'

})(jQuery, AdobeEdge, "EDGE-5531445");